Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class EndpointDescriptionLocator.EndpointListenerHolder

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionLocator.EndpointListenerHolder

Enclosing class:
  EndpointDescriptionLocator

public class EndpointDescriptionLocator.EndpointListenerHolder extends Object

## Constructor Summary

Constructors
Constructor
Description
`EndpointListenerHolder(EndpointListener l, EndpointDescription d, String f)`

## Method Summary

Modifier and Type
Method
Description
`EndpointDescription`
`getDescription()`
`EndpointListener`
`getListener()`
`String`
`getMatchingFilter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndpointListenerHolder

public EndpointListenerHolder(EndpointListener l, EndpointDescription d, String f)

## Method Details

### getListener

public EndpointListener getListener()

### getDescription

public EndpointDescription getDescription()

### getMatchingFilter

public String getMatchingFilter()